> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udupload.md).

# New-UDUpload

### Sinossi

Carica file

### Sintassi

```powershell
New-UDUpload [[-Id] <String>] [[-Accept] <String>] [[-OnUpload] <Endpoint>] [[-Text] <String>] [[-Variant] <String>] [[-Color] <String>] [[-ClassName] <String>] [-HideUploadedFileName] [-ShowLoading] [[-LoadingIndicator] <Object>] [[-LoadingPosition] <String>] [[-Icon] <Object>] [[-IconAlignment] <String>] [<CommonParameters>]
```

### Descrizione

Carica file. Questo componente funziona con UDForm e UDStepper.

### Parametri

#### -Id

L'ID del componente di caricamento.

```
Required?                    false
Position?                    1
Default value                [Guid]::NewGuid()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Accept

Il tipo di file da accettare. Per impostazione predefinita, questo componente accetta tutti i file.

```
Required?                    false
Position?                    2
Default value                *
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnUpload

Un blocco di script da eseguire quando viene caricato un file. Questo parametro $body conterrà JSON nel formato seguente:

```
    {
        data: 'base64 encoded string of file data',
        name: 'filename',
        type: 'type of file, if known'
    }

    $EventData will contain a class with the following properties:

    public string Name { get; set; }
    public string FileName { get; set; }
    public DateTime TimeStamp { get; set; }
    public string ContentType { get; set; }
    public string Type => ContentType;
```

```
Required?                    false
Position?                    3
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Text

Il testo da visualizzare sul pulsante di caricamento.

```
Required?                    false
Position?                    4
Default value                Upload
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Variant

La variante del pulsante. Il valore predefinito è contained. Valori validi: "text", "outlined", "contained"

```
Required?                    false
Position?                    5
Default value                contained
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Color

Il colore del pulsante. Il valore predefinito è 'default'. Valori validi: "default", "primary", "secondary", "inherit"

```
Required?                    false
Position?                    6
Default value                primary
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ClassName

Una classe CSS da applicare al pulsante.

```
Required?                    false
Position?                    7
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -HideUploadedFileName [<SwitchParameter>]
        Hides the file name text that is shown after upload

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -ShowLoading [<SwitchParameter>]
        Displays a loading spinner while the OnClick event handler is running.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -LoadingIndicator Un elemento personalizzato da visualizzare al posto dello spinner integrato per -ShowLoadingRequired?                    falsePosition?                    8Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-LoadingPositionLa posizione dell'indicatore di caricamento. I valori validi sono: 'start', 'end', 'center'Required?                    falsePosition?                    9Default value                centerAccept pipeline input?       falseAliasesAccept wildcard characters?  false-Icon L'icona da mostrare al posto dell'icona predefinita. Usi New-UDIcon per creare un'icona.Required?                    falsePosition?                    10Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-IconAlignmentCome allineare l'icona all'interno del pulsante. I valori validi sono: "left", "right"Required?                    falsePosition?                    11Default value                leftAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216).Output--------------------------> ESEMPIO 1 --------------------------PS >New-UDUpload -Text "Upload" -OnUpload {PS >     Show-UDToast $BodyPS > } -Id 'upload1'Basic Upload|A basic upload component that shows a toast when a file is uploaded.-------------------------- EXAMPLE 2 --------------------------PS >New-UDUpload -Text "Upload" -OnUpload {PS >     Show-UDToast $BodyPS > } -Id 'upload2' -HideUploadedFileNameHide File Name|Hides the file name text that is shown after upload.-------------------------- EXAMPLE 3 --------------------------PS >New-UDUpload -Text "Upload" -OnUpload {PS >     Show-UDToast $BodyPS > } -Id 'upload3' -Icon (New-UDIcon -Icon 'Upload')Icon|Upload component with an icon instead of the default icon.-------------------------- EXAMPLE 4 --------------------------PS >New-UDUpload -Text "Upload" -OnUpload {PS >     Show-UDToast $BodyPS > } -Id 'upload4' -IconAlignment 'right' -Icon (New-UDIcon -Icon 'Upload')Icon Alignment|Upload component with an icon on the right side of the button.-------------------------- EXAMPLE 5 --------------------------PS >New-UDUpload -Text "Upload" -OnUpload {PS >     Show-UDToast $BodyPS > } -Id 'upload5' -Variant 'text'Variant|Upload component with a text variant.-------------------------- EXAMPLE 6 --------------------------PS >New-UDUpload -Text "Upload" -OnUpload {PS >     Show-UDToast $BodyPS > } -Id 'upload6' -Accept ".jpg"Accept|Upload component that only accepts .jpg files.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udupload.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
